Get Event
Fetch a single ingested event.
Requires the events:read scope on the API key.
curl --request GET \
--url https://api.topo.io/v1/events/{event_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"subject": {
"email": "<string>",
"linkedin_url": "<string>",
"company_domain": "<string>",
"external_contact_id": "<string>",
"external_company_id": "<string>"
},
"payload": {},
"resolution_status": "PENDING",
"received_at": "2023-11-07T05:31:56Z",
"external_event_id": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the event.
Response
Successful Response
Unique identifier.
Custom event name.
When the event occurred in the source system.
Subject identifiers submitted with the event.
Hide child attributes
Hide child attributes
Email address of the event subject.
LinkedIn profile URL of the event subject.
Company domain associated with the event subject.
Contact identifier in the connected CRM.
Company identifier in the connected CRM.
Whether the subject has been matched to a contact or account.
PENDING, RESOLVED, UNRESOLVED When Topo received and stored the event.
Stable identifier from the caller's system, if provided.
Matched org-scoped contact, when resolved.
Matched org-scoped account, when resolved.
When subject resolution completed, if applicable.
Was this page helpful?
curl --request GET \
--url https://api.topo.io/v1/events/{event_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"subject": {
"email": "<string>",
"linkedin_url": "<string>",
"company_domain": "<string>",
"external_contact_id": "<string>",
"external_company_id": "<string>"
},
"payload": {},
"resolution_status": "PENDING",
"received_at": "2023-11-07T05:31:56Z",
"external_event_id": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_at": "2023-11-07T05:31:56Z"
}